package rule

type FTimeRule struct {
	isPause  bool
	interval float32
}

func (r *FTimeRule) GetInterval() float32 {
	if r.isPause {
		return 0
	}
	return r.interval
}
func (r *FTimeRule) Tick(w IWorld, delta float32) {
	if r.isPause {
		return
	}
}
func (r *FTimeRule) GetPriority() RulePriority {
	return ETimeRule
}
